extends Label

# This label goes up and fades, used for temporary effects

@onready var timer: Timer = $Timer

func _ready() -> void:
	timer.start()

func _process(delta: float) -> void:
	position.y -= 75.0 * delta
	
func _on_timer_timeout() -> void:
	var fade_tween = create_tween()
	fade_tween.tween_property(self, "modulate:a", 0.0, 0.5)
	fade_tween.tween_callback(queue_free) 
