extends Node2D

class_name Piece

# Properties
var piece_position: Vector2 = Vector2.ZERO
var is_white: bool = true

# Array for upgrades
var upgrades: Array = []
var capture_gold_value: int = 0

# initialization method
func _my_init(is_white_param: bool, piece_position_param: Vector2) -> void:
	self.is_white = is_white_param
	self.piece_position = piece_position_param 

# Method to get valid moves (to be overridden by subclasses)
func get_valid_moves(_board_state: Array, _pos: Vector2) -> Array[Vector2]:
	var moves = []
	return moves
