extends Node

signal state_changed(new_state)

enum GameState {
	PLACEMENT,
	PLAYING,
	SHOP,
	GAMEOVER
}

var current_state: GameState = GameState.PLACEMENT

func change_state(new_state: GameState) -> void:
	current_state = new_state
	state_changed.emit(new_state)
	
func get_current_state() -> GameState:
	return current_state
